#-*- coding: utf-8 -*-

# Copyright 2008-2012 Calculate Ltd. http://www.calculate-linux.org
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

import os
import sys
from os import path
from calculate.lib.datavars import Variable,VariableError,ReadonlyVariable

from calculate.lib.cl_lang import setLocalTranslate
setLocalTranslate('cl_client3',sys.modules[__name__])

class VariableAcClientMerge(ReadonlyVariable):
    """
    Action variable which has value "up" for package install and
    install this package
    """
    def get(self):
        ret = ""
        action = self.Get("cl_action")
        remoteHost = self.Get("cl_remote_host")
        remoteAuth = self.Get("os_remote_auth")
        if action in ("merge","install","domain","undomain"):
            ret = "up"
        return ret

class VariableAcClientDomain(ReadonlyVariable):
    """
    Action variable which has value "up" for domain action
    and "down" for undomain action
    """
    def get(self):
        ret = ""
        action = self.Get("cl_action")
        remoteHost = self.Get("cl_remote_host")
        remoteAuth = self.Get("os_remote_auth")
        if action == "domain":
            ret = "up"
        elif action in ("undomain", "uninstall"):
            ret = "down"
        elif action in ("install", "merge"):
            if remoteHost and remoteAuth:
                ret = "up"
            else:
                ret = "down"
        return ret
